Bug 7585 - Correct MARC 008 Value Builder Char 06 Default
Summary: Correct MARC 008 Value Builder Char 06 Default
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low minor (vote)
Assignee: Chris Nighswonger
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-23 15:24 UTC by Chris Nighswonger
Modified: 2013-12-05 19:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix/enhancement (1.90 KB, patch)
2012-02-23 15:29 UTC, Chris Nighswonger
Details | Diff | Splinter Review
[Signed Off] Bug 7585 - Correct MARC 008 Value Builder Char 06 Default (1.99 KB, patch)
2012-02-23 16:14 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Nighswonger 2012-02-23 15:24:04 UTC
Currently the value builder code for MARC 008 auto-generates char 06 as 't' which implies that two dates will follow in chars 07-14. This should default to 'b' which keeps the field valid if no dates are supplied by the cataloger. In any case, it is very likely that the cataloger will have to edit the 06 field anyway based on the exact dates supplied.
Comment 1 Chris Nighswonger 2012-02-23 15:29:04 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2012-02-23 16:14:37 UTC
Created attachment 7836 [details] [review]
[Signed Off] Bug 7585 - Correct MARC 008 Value Builder Char 06 Default

This patch changes the default value of the 06 char in 008
from 't' to 'b.' This change allows for a valid 008 field
if no dates are entered in 07-14.

To test:

1. Create a new MARC record (prior to patch application).
2. Click on the 008 field to auto-populate.
3. Note that the 06 char is 't'.
4. Apply patch.
5. Create a new MARC record.
6. Click on the 008 field to auto-populate.
7. Note that the 06 char is now 'b'.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Confirm fix works per test plan.
Comment 3 Ian Walls 2012-02-23 18:08:09 UTC
Use of 'b' as default value is more consistent with documentation as laid out for MARC21 than 't'.  Simple string-only change, marking as Passed QA.
Comment 4 Paul Poulain 2012-02-27 10:39:25 UTC
pushed. However, I suspect it's not an ENH, but a minor bugfix. Chris_n, decide but I think it should be in 3.6.x
Comment 5 Jared Camins-Esakov 2012-05-23 23:51:45 UTC
This will be in 3.6.5.